package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TConfRoom;

/**
 * 会议室管理Mapper接口
 *
 * @author ssy
 * @date 2024-04-29
 */
public interface TConfRoomMapper
{
    /**
     * 查询会议室管理
     *
     * @param id 会议室管理ID
     * @return 会议室管理
     */
    public TConfRoom selectTConfRoomById(Long id);

    /**
     * 查询会议室管理列表
     *
     * @param tConfRoom 会议室管理
     * @return 会议室管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TConfRoom> selectTConfRoomList(TConfRoom tConfRoom);

    /**
     * 新增会议室管理
     *
     * @param tConfRoom 会议室管理
     * @return 结果
     */
    public int insertTConfRoom(TConfRoom tConfRoom);

    /**
     * 修改会议室管理
     *
     * @param tConfRoom 会议室管理
     * @return 结果
     */
    public int updateTConfRoom(TConfRoom tConfRoom);

    /**
     * 删除会议室管理
     *
     * @param id 会议室管理ID
     * @return 结果
     */
    public int deleteTConfRoomById(Long id);

    /**
     * 批量删除会议室管理
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTConfRoomByIds(Long[] ids);
}
